fixed bug 34939: 3.0 selectors cannot be used in classic mode
authorAsier Lostalé <asier.lostale@openbravo.com>
Fri, 13 Jan 2017 10:03:39 +0100
changeset 31477 6398d4e21157
parent 31476 84bb5e88ab9b
child 31478 4cd8e4f37081
fixed bug 34939: 3.0 selectors cannot be used in classic mode

When a 3.0 selector was included within classic mode, the JS failed to load.

The problem was cancelAndReplace.js was included within classic mode JS but it
depends on resources not available in this mode.

Because cancel and replace is not designed to work in classic mode, its JS is
now not included in this mode.
modules/org.openbravo.client.application/src/org/openbravo/client/application/ApplicationComponentProvider.java
--- a/modules/org.openbravo.client.application/src/org/openbravo/client/application/ApplicationComponentProvider.java	Thu Dec 22 13:22:46 2016 -0500
+++ b/modules/org.openbravo.client.application/src/org/openbravo/client/application/ApplicationComponentProvider.java	Fri Jan 13 10:03:39 2017 +0100
@@ -11,7 +11,7 @@
  * under the License.
  * The Original Code is Openbravo ERP.
  * The Initial Developer of the Original Code is Openbravo SLU
- * All portions are Copyright (C) 2010-2016 Openbravo SLU
+ * All portions are Copyright (C) 2010-2017 Openbravo SLU
  * All Rights Reserved.
  * Contributor(s):  ______________________________________.
  ************************************************************************
@@ -486,7 +486,7 @@
     globalResources.add(createStaticResource("web/js/productServices.js", true));
 
     // Cancel and Replace
-    globalResources.add(createStaticResource("web/js/cancelAndReplace.js", true));
+    globalResources.add(createStaticResource("web/js/cancelAndReplace.js", false));
 
     return globalResources;
   }